Animate(1.4)

NAME
Animate - the AfterStep Animate module

SYNOPSIS
Animate is spawned by afterstep, so no command line invocation will work. From within the autoexec file or as a menu option, Animate is spawned as follows:

Module Animate

or from within an afterstep pop-up menu by 'Animate' without 'Module':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Animate iconify"
Animate

DESCRIPTION
The Animate module animates window actions. It currently animates iconification and deiconification in a zoom style or a twisty spinning style.

INITIALIZATION
During initialization, Animate will eventually search a configuration file which describes the time-outs and actions to take. The configuration file is ~/GNUstep/Library/AfterStep/animate .

INVOCATION
The invocation method was shown in the synopsis section

CONFIGURATION OPTIONS
Animate reads ~/GNUstep/Library/AfterStep/animate when it starts up, and looks for certain configuration options:

*AnimateColor color
    Tells Animate what color to draw with.

*AnimateDelay msecs
    Tells Animate how many milliseconds to sleep between frames of animation.

*AnimateIterations iterations
    Tells Animate how many steps to break the animation into.

*AnimateTwist twist
    Tells Animate how many revolutions to twist the iconification frame.

*AnimateWidth width
    Tells Animate how wide a line to draw with. Note that with 0 is a fast line at Width 1

*AnimateResize mode
    Tells Animate what method to use to draw resizes. zoom, twist, flip, turn & random are currently supported.

AUTHORS
Alfredo Kengi Kojima <kojima@inf.ufrgs.br> Kaj Groner <kajg@mindspring.com> Frank Scheelen <scheelen@worldonline.nl>